# Ogre::GLXConfig Class Reference

Simple CLI config. More...

`#include <OgreGLXConfig.h>`

Inheritance diagram for Ogre::GLXConfig:

List of all members.

## Public Member Functions

| GLXConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.

## Protected Attributes

RenderSystem * | mSelectedRenderSystem

## Detailed Description

Simple CLI config.

Definition at line 37 of file OgreGLXConfig.h.

## Constructor & Destructor Documentation

Ogre::GLXConfig::GLXConfig | ( |  | ) |

| Definition at line 39 of file OgreGLXConfig.h.

## Member Function Documentation

bool Ogre::GLXConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog.

## Member Data Documentation

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem `[protected, inherited]`

| Definition at line 65 of file OgreConfigDialog.h.

The documentation for this class was generated from the following file:

- OgreGLXConfig.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:30 2005